## Tcl8.6.0/Tk8.6.0 Documentation > [incr Tcl] Package C API, version 4.0.0 > Preserve

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Itcl_PreserveData, Itcl_ReleaseData, Itcl_EventuallyFree — Manipulate an Itcl list object.

### SYNOPSIS

#include <itcl.h>
void
Itcl_PreserveData(cdata)
void
Itcl_ReleaseData(cdata)
void
Itcl_EventuallyFree(cdata, fproc)

### ARGUMENTS

Tcl_FreeProc *fproc (in)
  Address of function to call when the block is to be freed.

ClientData clientData (in)
  Arbitrary one-word value.

### DESCRIPTION

### KEYWORDS

free, memory
Copyright © 1993-1998 Lucent Technologies, Inc.